Loading...
Searching...
No Matches
caf::detail::scope_guard< Fun > Class Template Reference

A lightweight scope guard implementation. More...

`#include <scope_guard.hpp>`

## Public Member Functions

| scope_guard (Fun f)
| scope_guard (scope_guard &&other)
void | disable ()
| Disables this guard, i.e., the guard does not run its cleanup code as it goes out of scope.

## Related Symbols

(Note that these are not member symbols.)
template<class Fun>
scope_guard< Fun > | make_scope_guard (Fun f)
| Creates a guard that executes f as soon as it goes out of scope.

## Detailed Description

template<class Fun>
class caf::detail::scope_guard< Fun >

A lightweight scope guard implementation.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/scope_guard.hpp